<?php get_header(); ?>

<?php get_template_part('template-part', 'head'); ?>

<?php get_template_part('template-part', 'topnav'); ?>

<!-- start content container -->
<div class="row rsrc-content">

    <?php //left sidebar ?>
    <?php get_sidebar( 'left' ); ?>
    
  
    <div class="col-md-<?php first_mag_main_content_width(); ?> rsrc-main">
				<?php //slider section ?>
          <?php if ( get_theme_mod( 'featured-categories', '1' ) != '' && get_theme_mod( 'get-featured', '1' ) != '0' ) : ?>
            <?php get_template_part('template-part', 'slider'); ?>
        <?php endif; ?>
        
        
  				<div id="content-top-section" class="clearfix">
    				<?php
    					// Calling the sidebar if it exists.
    					if ( !dynamic_sidebar( 'first-mag-front-page' ) ):
    					 the_widget( 'first_mag_featured_posts_widget_second', 'title=Widget Title&meta=on' );
    					 the_widget( 'first_mag_featured_posts_widget', 'title=Widget Title&meta=on' );
    					endif;
    				?>
  				</div>
				
        <?php

            //if this was a search we display a page header with the results count. If there were no results we display the search form.
            if (is_search()) :
                if (function_exists('first_mag_breadcrumb') && get_theme_mod( 'breadcrumbs-check', 1 ) != 0) {first_mag_breadcrumb(); } 
                 $total_results = $wp_query->found_posts;

                 echo "<h2 class='text-center'>" . sprintf( __('%s Search Results for "%s"','first-mag'),  $total_results, get_search_query() ) . "</h2>";

                 if ($total_results == 0) :
                     get_search_form(true);
                 endif;

            endif;

        ?>   
            <?php // theloop
                if ( have_posts() ) : while ( have_posts() ) : the_post();?>
                   
                        
                   <?php
              				/* Include the Post-Format-specific template for the content.
              				 * If you want to overload this in a child theme then include a file
              				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
              				 */
              				get_template_part( 'content', get_post_format() );
              			?>

                <?php endwhile; ?>
                  <div class="footer-pagination"><?php first_mag_pagination(); ?></div>
                <?php else: ?>

                    <?php get_404_template(); ?>

            <?php endif; ?>
   </div>

   <?php //get the right sidebar ?>
   <?php get_sidebar( 'right' ); ?>

</div>
<!-- end content container -->



<?php get_footer(); ?>

